Name: ncompress
Version: 4.2.4
Release: ipl23mdk

Summary: Fast compression and decompression utilities
License: Public domain
Group: Archiving/Compression

Source: ftp://ibiblio.org/pub/Linux/utils/compress/%name-%version.tar.bz2
Patch1: ncompress-4.2.4-filenamelen.patch
Patch2: ncompress-4.2.4-rh-lfs2.patch

%description
The %name package contains the compress and uncompress
file compression and decompression utilities, which are compatible
with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but
gzip can handle compressed files.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%add_optflags -DDIRENT=1 -DSYSDIR=1 -DUTIME_H=1 -DUSERMEM=800000 -DREGISTERS=20 -DIBUFSIZ=1024 -DOBUFSIZ=1024

%ifarch %ix86
%add_optflags -DBYTEORDER=4321
%endif

%ifarch sparc m68k armv4l ppc
%add_optflags -DBYTEORDER=1234
%endif

%ifarch alpha
%add_optflags -DNOALLIGN=0 -DBYTEORDER=4321
%endif

gcc $RPM_OPT_FLAGS -DCOMPILE_DATE="\"`LC_TIME=C date +%%Y%%m%%d`\"" compress42.c -o compress

%install
install -p -m755 -D compress $RPM_BUILD_ROOT%_bindir/compress
install -p -m644 -D compress.1 $RPM_BUILD_ROOT%_mandir/man1/compress.1
ln -snf compress $RPM_BUILD_ROOT%_bindir/uncompress
ln -snf compress.1 $RPM_BUILD_ROOT%_mandir/man1/uncompress.1

%files
%_bindir/*
%_mandir/man?/*
%doc LZW.INFO README

%changelog
* Thu Oct 24 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.4-ipl23mdk
- rebuild with gcc3
- added LFS patch from RH.

* Mon Mar 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.4-ipl22mdk
- Rebuilt
- Added patch from RH.

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 4.2.4-ipl21mdk
- RE adaptions.

* Sun Sep 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.4-21mdk
- rebuilt for macros.
- use of spec helper.
- the Big Move.

* Fri Apr 14 2000 Vincent Saugey <vince@mandrakesoft.com> 4.2.4-20mdk
- corrected group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 4.2.4-19mdk
- Added PPC Support

* Wed Nov 10 1999 Jerome Martin <jerome@mandrakesoft.com>
- minor specfile cleanup
- rebuild for new environment

* Sun Oct 31 1999 David BAUDENS <baudens@mandrakesoft.com>
- Add i486 and i686 arch (forgotten by Lord DarkChmou ;)

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix build mutliple archichtechtures..

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- build on armv4l too
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
